Skip to main content
GET
/
v1
/
reporting
/
reports
/
runs
/
{reportRunId}
Get Report Run
curl --request GET \
  --url https://app.untetherlabs.com/api/v1/reporting/reports/runs/{reportRunId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reportId": "payroll-report",
  "createdAt": "2024-11-20T07:43:34+0000",
  "createdBy": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Bruce Wayne"
  },
  "status": "running",
  "file": {
    "name": "payroll-2025-01-01.csv",
    "mediaType": "text/csv",
    "sizeBytes": 1
  },
  "download": {
    "url": "<string>",
    "expiresAt": "2024-11-20T07:43:34+0000"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt

Use this file to discover all available pages before exploring further.

This is a beta endpoint. Breaking changes may occur without notice, use at your own risk.
Retrieve metadata about a specific report run, including a temporary download link if the report has been completed. The download link will expire after one hour, at the given expiresAt time.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

reportRunId
string<uuid>
required

Response

id
string<uuid>
required
reportId
string
required
Example:

"payroll-report"

createdAt
string
required
Example:

"2024-11-20T07:43:34+0000"

createdBy
object
required
status
enum<string>
required
Available options:
running,
completed,
failed
file
object

Only present if the report has been completed.

download
object